
#
# ---------------- Control file for YACL make under GNU Win32 C++ -------------
#


GNU_WIN32_PATH = i:/gnuwin32


#
# Derived path names
#
YACLPLATFORM = WIN32

YACLLIB      = $(YACLPATH)/lib/$(YACLPLATFORM)
YACLINC      = $(YACLPATH)
GNU_INC      = $(GNU_WIN32_PATH)/H-i386-cygwin32/i386-cygwin32/include
GNU_LIB1     = $(GNU_WIN32_PATH)/H-i386-cygwin32/i386-cygwin32/lib
GNU_LIB2     = $(GNU_WIN32_PATH)/H-i386-cygwin32/lib


# Component names:

BASE         = base
IO           = io
MEMORY       = memory
UI           = ui

BASELIB      = $(YACLLIB)/lib$(BASE).a
IOLIB        = $(YACLLIB)/lib$(IO).a
MEMORYLIB    = $(YACLLIB)/lib$(MEMORY).a
UILIB        = $(YACLLIB)/lib$(UI).a

# Processors

CC          = g++ -fno-implicit-templates
LINK        = g++


# Processor options:

# DEBUG    = -g
# OPTIMIZE = -O1
# PROFILE  = -pg
INCPATH  = -I$(YACLINC) -I$(GNU_INC)


CCOPTS      = $(PROFILE) $(OPTIMIZE) $(DEBUG) $(INCPATH) \
    -c -DWIN32 -D__MS_WIN32__
# LIBPATH     = -L$(YACLLIB) -L$(GNU_LIB1) -L$(GNU_LIB2) 
LIBPATH     = -L$(YACLLIB)
LNKLIB      = -l$(UI) -l$(IO)   -l$(BASE) \
    -lm -luser32  -lkernel32 -lgdi32 
LNKOPTS     = $(DEBUG) $(LIBPATH) $(PROFILE) 
BASELNKLIB  = -l$(IO) -l$(BASE) -l$(MEMORY) -lm

