

!ifeq YACLPLATFORM OS2
WTCLIB  = $(WTCPATH)\lib386\os2;$(WTCPATH)\lib386
# SYSLIBS = os2386,  plib3r, clib3r
SYSLIBS = os2386
SYSTEM  = os2v2_pm
!else ifeq YACLPLATFORM WIN32
WTCLIB  = $(WTCPATH)\lib386\nt;$(WTCPATH)\lib386
SYSLIBS = ctl3d32, plib3r, clib3r
# SYSLIBS = ctl3d32
# SYSLIBS = ctl3d32, version
SYSTEM  = nt_win
!else
WTCLIB  = $(WTCPATH)\lib286\win;$(WTCPATH)\lib286
# Note: Watcom seems very sensitive to the ordering of these libraries!
SYSLIBS = plibl, clibl, ctl3d, commdlg
SYSTEM  = windows
!endif





!ifeq YACLPLATFORM WIN32
.BEFORE:
    set WATCOM_CPPOPTS=$(CCOPTS) $(ZZ)
    set WATCOM_CCOPTS=$(CCOPTS)
!else
.BEFORE:
    set WATCOM_CPPOPTS=$(CCOPTS)
    set WATCOM_CCOPTS=$(CCOPTS)
!endif




$(APPNAME).exe: $(OBJECTS) $(UILIB) $(BASELIB)
	@%make tmp.lnk
	wlink @tmp.lnk
	-del tmp.lnk
        

tmp.lnk : $(__MAKEFILES__)
    %create $^@
    @%append $^@ system $(SYSTEM)
    @%append $^@ option eliminate
    @%append $^@ LIBPATH $(YACLLIB);$(WTCLIB)
!ifdef MAKE_MAPFILE
    @%append $^@ option MAP
!endif
!ifdef DEBUG
    @%append $^@ debug all
!endif
    @%append $^@ file $(YACLLIB)\mainprog.obj
    @for %i in ( $(OBJECTS) ) do @%append $^@ file %i
    @%append $^@ library $(UI), $(IO), $(BASE), $(MEMORY), $(SYSLIBS)
    @%append $^@ NAME $(APPNAME).exe
!ifeq YACLPLATFORM OS2
    @%append $^@ option modname=$(APPNAME)
    @%append $^@ option manyautodata
    @%append $^@ option stack=64000
    @%append $^@ option heapsize=64000
    @%append $^@ option protmode
!else ifeq YACLPLATFORM WIN32
# Now this is a stupid hack to get the Watcom linker to recognize the CTL3D
# functions under NT:
    @%append $^@ ALIAS _Ctl3dRegister=Ctl3dRegister
    @%append $^@ ALIAS _Ctl3dUnregister=Ctl3dUnregister
    @%append $^@ ALIAS _Ctl3dAutoSubclass=Ctl3dAutoSubclass
    @%append $^@ ALIAS _Ctl3dDlgFramePaint=Ctl3dDlgFramePaint
    @%append $^@ ALIAS _Ctl3dCtlColorEx=Ctl3dCtlColorEx
    @%append $^@ ALIAS _Ctl3dSubclassCtl=Ctl3dSubclassCtl
    @%append $^@ ALIAS _Ctl3dSubclassDlgEx=Ctl3dSubclassDlgEx
    @%append $^@ option stack=64000
!else
    @%append $^@ option stack=8000
    @%append $^@ option heapsize=8000
!endif



.cxx.obj:
	$(CC) @WATCOM_CCOPTS $*.cxx

clean: .SYMBOLIC
    -del *.obj
    -del *.map
    -del *.exe
    -del tmp.lnk
    

